<%@ Page Language="C#" MasterPageFile="~/default.master" AutoEventWireup="true" CodeFile="EditCategories.aspx.cs" Inherits="BlogStarterKit.Admin.EditCategoriesPage" Title="Untitled Page" %>
<%@ Register Src="AdminMenu.ascx" TagName="AdminMenu" TagPrefix="blog" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Content" Runat="Server">

    <h1>Categories</h1>

    <asp:GridView ID="CategoriesList" runat="server" AllowPaging="True"
            DataKeyNames="CategoryID" DataSourceID="CategoriesDataSource" 
            CssClass="ItemsGrid" AutoGenerateColumns="False" BorderWidth="0px"
            ShowHeader="False">
        <Columns>
            <asp:TemplateField SortExpression="CategoryID">
                <ItemTemplate>
                    <div class="ItemsGridItem">
                        <asp:Label ID="TitleLabel" runat="server" CssClass="TitleLabel" Text='<%# Bind("Name") %>'></asp:Label>
                        <div class="ItemsGridMenu">
                            <asp:LinkButton ID="EditCategoryButton" runat="server" CommandName="Edit" Text="Edit" CausesValidation="false" />
                            <!--<asp:LinkButton ID="DeleteCategoryButton" runat="server" CommandName="Delete" Text="Delete" CausesValidation="false"  />-->
                        </div>
                        <asp:Label ID="SubtitleLabel" runat="server" CssClass="SubtitleLabel" Text='<%# Bind("Description") %>'></asp:Label>
                    </div>
                </ItemTemplate>      
                <EditItemTemplate>
                    <div class="ItemsGridItem">
                        <asp:TextBox ID="TitleEdit" runat="server" CssClass="TitleEdit" Text='<%# Bind("Name") %>' />
                        <div class="ItemsGridMenu">
                            <asp:LinkButton ID="EditCategoryButton" runat="server" CommandName="Update" Text="Save" CausesValidation="true" />
                            <asp:LinkButton ID="CancelCategoryButton" runat="server" CommandName="Cancel" Text="Cancel" CausesValidation="false"  />
                        </div>
                        <asp:TextBox ID="SubtitleEdit" runat="server" CssClass="SubtitleEdit" Text='<%# Bind("Description") %>' TextMode="MultiLine" />
                    </div>
                </EditItemTemplate>                  
            </asp:TemplateField>
        </Columns>
    </asp:GridView>

    
    <h1>Add New Category</h1>
    
    <asp:FormView ID="NewCategoryForm" runat="server" DataSourceID="CategoriesDataSource" DataKeyNames="CategoryID" DefaultMode="Insert">
        <InsertItemTemplate>
           <div class="InputForm">
            <div class="FormField">
                <span class="FormLabel">Name:</span>
                <asp:TextBox ID="NameTextBox" runat="server" Text='<%# Bind("Name") %>' CssClass="FormTextBox" ValidationGroup="NewCategory" />
                <asp:RequiredFieldValidator ID="NameValidator" runat="server" ControlToValidate="NameTextBox" Text="Name is required." CssClass="FormErrorMessage" ValidationGroup="NewCategory" />
            </div>
            <div class="FormField">
                <span class="FormLabel">Description:</span>
                <asp:TextBox ID="DescriptionTextBox" runat="server" Text='<%# Bind("Description") %>' CssClass="FormTextBox" />
            </div>
            <div class="FormButtonContainer">
                <asp:Button ID="InsertButton" runat="server" CausesValidation="True" CommandName="Insert" ValidationGroup="NewCategory"
                    Text="Save" />
            </div>
        </InsertItemTemplate>
    </asp:FormView>

    <asp:ObjectDataSource ID="CategoriesDataSource" runat="server" DeleteMethod="DeleteCategory"
        InsertMethod="SaveCategory" SelectMethod="GetAllCategories"
        TypeName="BlogStarterKit.BlogEngine" UpdateMethod="SaveCategory" DataObjectTypeName="BlogStarterKit.Category">
    </asp:ObjectDataSource>
</asp:Content>

<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="Sidebar">
    <blog:AdminMenu ID="AdminMenu1" runat="server" />
</asp:Content>
