<%@ Page Language="C#" MasterPageFile="~/default.master" AutoEventWireup="true" CodeFile="EditPost.aspx.cs" Inherits="BlogStarterKit.Admin.EditPostPage" ValidateRequest="false" Title="Untitled Page" %>

<%@ Register Src="~/Controls/RichEdit.ascx" TagName="RichEdit" TagPrefix="blog" %>
<%@ Register Src="AdminMenu.ascx" TagName="AdminMenu" TagPrefix="blog" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Content" Runat="Server">

    <h2>Edit Post</h2>

    <asp:FormView ID="PostForm" runat="server" DataKeyNames="PostID" DataSourceID="PostDataSource" DefaultMode="Insert">
        <InsertItemTemplate>
            
            <div class="InputForm">
            
                <div class="FormField">
                    <span class="FormLabel">Title:</span>
                    <asp:TextBox ID="TitleTextBox" runat="server" Text='<%# Bind("Title") %>' CssClass="FormTextBox" />
                </div>

                <div class="FormField">
                    <span class="FormLabel">Subtitle (optional):</span>
                    <asp:TextBox ID="SubTitleEdit" runat="server" Text='<%# Bind("Subtitle") %>' CssClass="FormTextBox" />
                </div>

                <div class="FormBodyRichEdit">
                    <blog:RichEdit ID="ContentsEdit" runat="server" Text='<%# Bind("Contents") %>' />
                </div>            

                <div class="FormField">
                    <span class="FormLabel">Category:</span>
                    <asp:DropDownList ID="CategoryDropDown" runat="server" SelectedValue='<%# Bind("CategoryID") %>' DataSourceID="CategoriesDataSource" DataTextField="Name" DataValueField="CategoryID" CssClass="FormDropDown" />
                </div>

                <div class="FormField">
                    <span class="FormLabel">Permalink URL (optional):</span>
                    <asp:TextBox ID="PermaLinkUrlEdit" runat="server" Text='<%# Bind("PermalinkUrl") %>' CssClass="FormTextBox" />
                </div>

                <div class="FormButtonContainer">

                    <asp:Button ID="SaveButton" runat="server" CausesValidation="True" CommandName="<%# _saveMode %>"
                        Text="Save and Publish" />

                    <asp:Button ID="SaveDraftButton" runat="server" CausesValidation="True" CommandName="<%# _saveMode %>"
                        Visible='<%# Bind("Draft") %>'
                        Text="Save as Draft" OnClick="SaveDraftButton_Click" />

                    <asp:Button ID="CancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
                        Text="Cancel" />
                            
                </div>
            
            </div>
            
        </InsertItemTemplate>
    </asp:FormView>
    
    <asp:ObjectDataSource ID="PostDataSource" runat="server" InsertMethod="SavePost" OldValuesParameterFormatString="original_{0}" SelectMethod="GetPostByID" TypeName="BlogStarterKit.BlogEngine" UpdateMethod="SavePost" OnInserting="PostDataSource_UpdatingOrInserting" OnUpdating="PostDataSource_UpdatingOrInserting" OnInserted="PostDataSource_UpdatedOrInserted" OnUpdated="PostDataSource_UpdatedOrInserted" DataObjectTypeName="BlogStarterKit.Post">
        <SelectParameters>
            <asp:QueryStringParameter Name="postID" QueryStringField="postID" Type="Int64" />
            <asp:Parameter DefaultValue="false" Name="publishedOnly" Type="Boolean" />
        </SelectParameters>
    </asp:ObjectDataSource>
    <asp:ObjectDataSource ID="CategoriesDataSource" runat="server" OldValuesParameterFormatString="original_{0}"
        SelectMethod="GetAllCategories" TypeName="BlogStarterKit.BlogEngine">
    </asp:ObjectDataSource>

</asp:Content>

<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="Sidebar">
    <blog:AdminMenu ID="AdminMenu1" runat="server" />
</asp:Content>
