using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

namespace BlogStarterKit.Admin
{
    public partial class EditPostPage : System.Web.UI.Page
    {
        protected string _saveMode = "";
        protected bool _saveDraft = false;

        protected void Page_Init(object sender, EventArgs e)
        {
            PostForm.EditItemTemplate = PostForm.InsertItemTemplate;

            if (Request.QueryString["PostID"] != null)
            {
                _saveMode = "Update";
                PostForm.DefaultMode = FormViewMode.Edit;
            }
            else
            {
                _saveMode = "Insert";
                PostForm.DefaultMode = FormViewMode.Insert;
            }
        }

        protected void Page_Load(object sender, EventArgs e)
        {
        }

        protected void PostDataSource_UpdatingOrInserting(object sender, ObjectDataSourceMethodEventArgs e)
        {
            Post post = (Post)e.InputParameters["Post"];
            DateTime now = DateTime.Now;
            post.DatePosted = now;
            post.MonthPosted = new DateTime(now.Year, now.Month, 1);
            post.Draft = _saveDraft;
        }

        protected void SaveDraftButton_Click(object sender, EventArgs e)
        {
            _saveDraft = true;
        }

        protected void PostDataSource_UpdatedOrInserted(object sender, ObjectDataSourceStatusEventArgs e)
        {
            Response.Redirect("Default.aspx");
        }
    }
}