<%@ Page Language="C#" MasterPageFile="~/default.master" AutoEventWireup="true" CodeFile="ManageFeedback.aspx.cs" Inherits="BlogStarterKit.Admin.ManageFeedbackPage" Title="Untitled Page" ValidateRequest="false" %>
<%@ Register Src="AdminMenu.ascx" TagName="AdminMenu" TagPrefix="blog" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Content" Runat="Server">
    <asp:GridView ID="FeedbackList" runat="server" AutoGenerateColumns="False" DataKeyNames="FeedbackID"
        DataSourceID="FeedbackDataSource" ShowHeader="False" CssClass="FeedbackList" OnRowCommand="FeedbackList_RowCommand">
        <Columns>
            <asp:TemplateField InsertVisible="False">
                <ItemTemplate>
                    <div class="FeedbackField">
                        <span class="FeedbackLabel">From: </span>
                        <asp:Label ID="FeedbackName" runat="server" Text='<%# Eval("Name") %>' />
                    </div>
                    <div class="FeedbackField">
                        <span class="FeedbackLabel">Mail: </span>
                        <asp:HyperLink ID="FeedbackEmail" runat="server" Text='<%# Eval("Email") %>' NavigateUrl='<%# Eval("Email", "mailto:{0}") %>' />
                    </div>
                    <div class="FeedbackField">
                        <span class="FeedbackLabel">Blog: </span>
                        <asp:HyperLink ID="FeedbackBlog" runat="server" Text='<%# Eval("Blog") %>' NavigateUrl='<%# Eval("Blog") %>' />
                    </div>
                    <div class="FeedbackField">
                        <%# Eval("Contents") %>
                    </div>
                    <div class="ButtonContainer">
                        <input type="button" onclick="window.open('<%# ResolveUrl("~/Post.aspx") %>?<%# Eval("PostID", "postID={0}") %>')" value="View Post"/>
                        <asp:Button ID="EditFeedback" runat="server" CommandName="Edit" Text="Edit" />
                        <asp:Button ID="ApproveFeedback" runat="server" CommandName="Approve" CommandArgument='<%# Eval("FeedbackID") %>' Text="Approve" />
                        <asp:Button ID="DeleteFeedback" runat="server" CommandName="Delete" Text="Delete" />
                    </div>
                </ItemTemplate>
                <EditItemTemplate>
                    <div class="FeedbackField">
                        <span class="FeedbackLabel">From: </span>
                        <asp:Label ID="FeedbackName" runat="server" Text='<%# Bind("Name") %>' />
                    </div>
                    <div class="FeedbackField">
                        <span class="FeedbackLabel">Mail: </span>
                        <asp:HyperLink ID="FeedbackEmail" runat="server" Text='<%# Bind("Email") %>' NavigateUrl='<%# Eval("Email", "mailto:{0}") %>' />
                    </div>
                    <div class="FeedbackField">
                        <span class="FeedbackLabel">Blog: </span>
                        <asp:HyperLink ID="FeedbackBlog" runat="server" Text='<%# Bind("Blog") %>' NavigateUrl='<%# Eval("Blog") %>' />
                    </div>
                    <div class="FeedbackField">
                        <asp:TextBox ID="FeedbackEdit" Columns="60" Rows="15" runat="server" Text='<%# Bind("EditContents") %>' TextMode="Multiline" />
                    </div>
                    <div class="ButtonContainer">
                        <asp:Button ID="UpdateFeedback" runat="server" CommandName="Update" Text="Save" />
                        <asp:Button ID="CancelEdits" runat="server" CommandName="Cancel" Text="Cancel" />
                    </div>
                    <asp:HiddenField ID="DateCreated" runat="server" Value='<%# Bind("DateCreated") %>' />
                    <asp:HiddenField ID="PostID" runat="server" Value='<%# Bind("PostID") %>' />
                </EditItemTemplate>
            </asp:TemplateField>
        </Columns>
    </asp:GridView>
    <br />
    <asp:ObjectDataSource ID="FeedbackDataSource" runat="server" DeleteMethod="DeleteFeedback"
        OldValuesParameterFormatString="original_{0}" SelectMethod="GetPendingFeedback"
        TypeName="BlogStarterKit.BlogEngine" UpdateMethod="SaveFeedback"
        DataObjectTypeName="BlogStarterKit.Feedback">
    </asp:ObjectDataSource>


</asp:Content>

<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="Sidebar">
    <blog:AdminMenu ID="AdminMenu1" runat="server" />
</asp:Content>
