using System;
using BlogStarterKit.Utilities;

namespace BlogStarterKit
{
    public class Feedback
    {
        private long _feedbackID = -1;
        public long FeedbackID
        {
            get { return _feedbackID; }
            set { _feedbackID = value; }
        }

        private long _postID;
        public long PostID
        {
            get { return _postID; }
            set { _postID = value; }
        }

        private string _name;
        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }

        private string _email;
        public string Email
        {
            get { return _email; }
            set { _email = value; }
        }

        private string _blog;
        public string Blog
        {
            get { return _blog; }
            set { _blog = value; }
        }

        private string _contents;
        public string Contents
        {
            get { return _contents; }
            set 
            { 
                _contents = value; 
                _editContents = null;
            }
        }

        private bool _approved;
        public bool Approved
        {
            get { return _approved; }
            set { _approved = value; }
        }

        private DateTime _dateCreated;
        public DateTime DateCreated
        {
            get { return _dateCreated; }
            set { _dateCreated = value; }
        }

        private string _editContents;
        public string EditContents
        {
            get
            {
                if (_editContents == null)
                {
                    _editContents = new FeedbackFormatter().FormatFromHtml(Contents);
                }
                return _editContents;
            }

            set
            {
                Contents = new FeedbackFormatter().FormatToHtml(value);
                _editContents = value;
            }
        }
    }

}