<%@ Control Language="C#" AutoEventWireup="true" CodeFile="RichEdit.ascx.cs" Inherits="BlogStarterKit.Controls.RichEditControl" %>


<div id="<%# ClientID %>" class="RichEdit">

    <asp:HiddenField ID="ContentField" runat="server" OnValueChanged="ContentField_ValueChanged" />    
    
    <div id="<%# RichEditTabID %>" class="rtTab">

        <div class="rtButtonBar">
            <a class="rtButton rtbBold" title="Bold" href="#" onclick="ExecRichEdit('<%# ClientID %>', 'bold'); return false;">&nbsp;</span></a>
            <a class="rtButton rtbItalic" title="Italic" href="#" onclick="ExecRichEdit('<%# ClientID %>', 'italic'); return false;">&nbsp;</a>
            <a class="rtButton rtbUnderline" title="Underline" href="#" onclick="ExecRichEdit('<%# ClientID %>', 'underline'); return false;">&nbsp;</a>
            <a class="rtButton rtbStrikethrough" title="Strikethrough" href="#" onclick="ExecRichEdit('<%# ClientID %>', 'strikethrough'); return false;">&nbsp;</a>
            <a class="rtButton rtbSuperscript" title="Superscript" href="#" onclick="ExecRichEdit('<%# ClientID %>', 'superscript'); return false;">&nbsp;</a>
            <a class="rtButton rtbSubscript" title="Subscript" href="#" onclick="ExecRichEdit('<%# ClientID %>', 'subscript'); return false;">&nbsp;</a>
            <a class="rtButton rtbRemoveFormatting" title="Remove Formatting" href="#" onclick="ExecRichEdit('<%# ClientID %>', 'removeformat'); return false;">&nbsp;</a>
            <select class="rtCombo rtcFont" onchange="ExecRichEdit('<%# ClientID %>', 'fontname', '', this.options[this.selectedIndex].text); return false;">
                <option selected="selected">Arial</option>
                <option>Times</option>
                <option>Courier New</option>
                <option>Verdana</option>
                <option>Georgia</option>
                <option>Tahoma</option>
            </select>
            <select class="rtCombo rtcSize" onchange="ExecRichEdit('<%# ClientID %>', 'fontsize', '', this.options[this.selectedIndex].text); return false;">
                <option>1</option>
                <option>2</option>
                <option selected="selected">3</option>
                <option>4</option>
                <option>5</option>
                <option>6</option>
                <option>7</option>
            </select>
            <a class="rtButton rtbColor" title="Color" href="#" onclick="ShowOrHideColorView('<%# ClientID %>', this, '<%# ColorPopupID %>'); return false;">&nbsp;</a>        
        </div>
        <div class="rtButtonBar">
            <a class="rtButton rtbLeft" title="Align Left" href="#" onclick="ExecRichEdit('<%# ClientID %>', 'justifyleft'); return false;">&nbsp;</a>
            <a class="rtButton rtbCenter" title="Align Center" href="#" onclick="ExecRichEdit('<%# ClientID %>', 'justifycenter'); return false;">&nbsp;</a>
            <a class="rtButton rtbRight" title="Align Right" href="#" onclick="ExecRichEdit('<%# ClientID %>', 'justifyright'); return false;">&nbsp;</a>
            <a class="rtButton rtbJustify" title="Justify" href="#" onclick="ExecRichEdit('<%# ClientID %>', 'justifyfull'); return false;">&nbsp;</a>
            <a class="rtButton rtbOrderedList" title="Ordered List" href="#" onclick="ExecRichEdit('<%# ClientID %>', 'insertorderedlist'); return false;">&nbsp;</a>
            <a class="rtButton rtbUnorderedList" title="Unordered List" href="#" onclick="ExecRichEdit('<%# ClientID %>', 'insertunorderedlist'); return false;">&nbsp;</a>
            <a class="rtButton rtbIndent" title="Indent" href="#" onclick="ExecRichEdit('<%# ClientID %>', 'indent'); return false;">&nbsp;</a>
            <a class="rtButton rtbOutdent" title="Outdent" href="#" onclick="ExecRichEdit('<%# ClientID %>', 'outdent'); return false;">&nbsp;</a>
            
            <a class="rtButton rtbHyperlink" title="Insert Hyperlink" href="#" onclick="ExecRichEdit('<%# ClientID %>', 'createlink', null, true); return false;">&nbsp;</a>
            <a class="rtButton rtbRemoveLink" title="Remove Hyperlink" href="#" onclick="ExecRichEdit('<%# ClientID %>', 'removelink'); return false;">&nbsp;</a>        
            <a class="rtButton rtbHorzRule" title="Insert Horizontal Rule" href="#" onclick="ExecRichEdit('<%# ClientID %>', 'inserthorizontalrule'); return false;">&nbsp;</a>

            <a class="rtButton rtbCut" title="Cut" href="#" onclick="ExecRichEdit('<%# ClientID %>', 'cut'); return false;">&nbsp;</a>
            <a class="rtButton rtbCopy" title="Copy" href="#" onclick="ExecRichEdit('<%# ClientID %>', 'copy'); return false;">&nbsp;</a>
            <a class="rtButton rtbPaste" title="Paste" href="#" onclick="ExecRichEdit('<%# ClientID %>', 'paste'); return false;">&nbsp;</a>
            <a class="rtButton rtbUndo" title="Undo" href="#" onclick="ExecRichEdit('<%# ClientID %>', 'undo'); return false;">&nbsp;</a>
            <a class="rtButton rtbRedo" title="Redo" href="#" onclick="ExecRichEdit('<%# ClientID %>', 'redo'); return false;">&nbsp;</a>
        </div>
        
        <div id="<%# ColorPopupID %>" class="rtColorPopup" style="display:none"></div>
        
        <div id="<%# RichEditDivID %>" class="rtRichEdit">
        </div>
    </div>

    <div id="<%# HtmlTabID %>" style="display: none" class="rtTab">
        <textarea id="<%# HtmlTextBoxID %>" rows="30" cols="80" class="rtHtmlEdit"></textarea>
    </div>

    <div class="rtViewButtons">
        <a href="javascript:ShowRichTab('<%# ClientID %>');" id="<%# ShowRichButtonID %>">EDIT</a>
        <a href="javascript:ShowHtmlTab('<%# ClientID %>');" id="<%# ShowHtmlButtonID %>">HTML</a>
    </div>


</div>


<script type="text/javascript">
    InitRichEdit('<%# ClientID %>', '<%# ContentFieldID %>');
</script>