using System;


namespace BlogStarterKit.Controls
{
    public partial class RichEditControl : System.Web.UI.UserControl
    {
        private bool _isDataBound = false;

        protected void Page_Init(object sender, EventArgs e)
        {
            Page.ClientScript.RegisterClientScriptInclude("RichEdit", ResolveUrl("richedit.js"));
            Page.ClientScript.RegisterOnSubmitStatement(GetType(), "RichEdit",
                "PrepareRichEdit('" + ClientID + "', '" + ContentFieldID + "');");
        }

        protected void Page_Load(object sender, EventArgs e)
        {
        }

        protected override void OnDataBinding(EventArgs e)
        {
            _isDataBound = true;
            base.OnDataBinding(e);
        }

        protected override void OnPreRender(EventArgs e)
        {
            if (!_isDataBound)
            {
                DataBind();
            }
            base.OnPreRender(e);
        }

        protected string ContentFieldID
        {
            get { return ContentField.ClientID; }
        }

        protected string RichEditTabID
        {
            get { return ClientID + "_Tabs_RichEdit"; }
        }

        protected string RichEditDivID
        {
            get { return RichEditTabID + "_div"; }
        }

        protected string HtmlTabID
        {
            get { return ClientID + "_Tabs_HtmlEdit"; }
        }

        protected string HtmlTextBoxID
        {
            get { return HtmlTabID + "_TB"; }
        }

        protected string ColorPopupID
        {
            get { return RichEditTabID + "_color"; }
        }

        protected string ShowRichButtonID
        {
            get { return ClientID + "_showrich"; }
        }

        protected string ShowHtmlButtonID
        {
            get { return ClientID + "_showhtml"; }
        }

        public string Text
        {
            get
            {
                return ContentField.Value;
            }
            set
            {
                ContentField.Value = value;
            }
        }

        protected void ContentField_ValueChanged(object sender, EventArgs e)
        {
            if (TextChanged != null)
            {
                TextChanged.Invoke(this, e);
            }
        }

        public event EventHandler TextChanged;
    }
}