using System;
using System.Web.UI.WebControls;

namespace BlogStarterKit
{
    public partial class DefaultPage : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                if (Request.QueryString["categoryID"] != null)
                {
                    PostsDataSource.SelectMethod = "GetPostsByCategory";
                    PostsDataSource.SelectParameters.Add(new QueryStringParameter("categoryID", "categoryID"));
                    PostsDataSource.SelectParameters.Add(new QueryStringParameter("count", "20"));
                }
                else if (Request.QueryString["m"] != null &&
                    Request.QueryString["y"] != null)
                {
                    string month = Request.QueryString["m"];
                    string year = Request.QueryString["y"];
                    DateTime date = new DateTime(Int32.Parse(year), Int32.Parse(month), 1);
                    PostsDataSource.SelectMethod = "GetPostsByMonth";
                    PostsDataSource.SelectParameters.Add("monthPosted", date.ToString());
                }
                else
                {
                    PostsDataSource.SelectMethod = "GetRecentPosts";
                    PostsDataSource.SelectParameters.Add(new QueryStringParameter("count", "20"));
                }
            }

        }
    }
}