<%@ Page Language="C#" MasterPageFile="~/default.master" AutoEventWireup="true" CodeFile="Post.aspx.cs" Inherits="BlogStarterKit.PostPage" Title="Post" %>
<%@ Register Src="Controls/Captcha.ascx" TagName="Captcha" TagPrefix="blog" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Content" Runat="Server">
    
    <asp:FormView ID="PostView" runat="server" EnableViewState="false" DataSourceID="PostDataSource" DataKeyNames="PostID" CssClass="PostDetails" OnDataBound="PostView_DataBound">
        <ItemTemplate>
            <div class="Post">
                <div class="PostTitle"><asp:HyperLink ID="TitleLink" runat="server" Text='<%# Eval("Title") %>' NavigateUrl='<%# Eval("PostUrl") %>'/></div>
                <div class="PostSubtitle"><asp:Label ID="SubtitleLabel" runat="server" Text='<%# Eval("Subtitle") %>' /></div>
                <div class="PostInfo">
                    Posted on <asp:Label ID="DatePostedLabel" runat="server" Text='<%# Eval("DatePosted") %>' />
                    in <asp:HyperLink ID="CategoryLink" runat="server" Text='<%# Eval("CategoryName", "#{0}") %>' NavigateUrl='<%# Eval("CategoryID", "Category.aspx?categoryID={0}") %>' />
                </div>
                <div class="PostBody">
                    <%# Eval("Contents") %>
                </div>
            </div>
        </ItemTemplate>
    </asp:FormView>

    <h2>Feedback</h2>   
     
    <asp:DataList ID="PostFeedback" runat="server" EnableViewState="False" DataSourceID="FeedbackDataSource" CssClass="FeedbackList">
        <ItemTemplate>
            <div class="PostFeedbackItem">
                <div class="PostFeedbackTitle"><asp:HyperLink ID="TitleLabel" runat="server" Text='<%# Eval("Name") %>' NavigateUrl='<%# Eval("Blog") %>' /></div>
                <div class="PostFeedbackInfo">
                    Posted on <asp:Label ID="DatePostedLabel" runat="server" Text='<%# Eval("DateCreated") %>' />
                </div>
                <div class="PostFeedbackBody">
                    <%# Eval("Contents") %>
                </div>
            </div>
        </ItemTemplate>
    </asp:DataList>
    
    <a name="feedback"></a>
    
    <div class="PostFeedbackForm">
    
    <h3>Please post your comments:</h3>
    
    <asp:FormView ID="InputForm" runat="server" DataKeyNames="FeedbackID" DataSourceID="FeedbackDataSource" DefaultMode="Insert" CssClass="Form">
        <InsertItemTemplate>
            <div class="FormField">
                <span class="FormLabel">Name:</span>
                <asp:TextBox ID="FeedbackName" runat="server" Text='<%# Bind("Name") %>' CssClass="FormTextBox" />
                <asp:RequiredFieldValidator ID="NameValidator" runat="server" ControlToValidate="FeedbackName" Text="Name is required." CssClass="PostErrorMessage" />
            </div>
            <div class="FormField">
                <span class="FormLabel">Email (optional):</span>
                <asp:TextBox ID="FeedbackEmail" runat="server" Text='<%# Bind("Email") %>' CssClass="FormTextBox" />
                <span class="FormNotes">Your email address will not be posted.</span>
            </div>
            <div class="FormField">
                <span class="FormLabel">URL (optional):</span>
                <asp:TextBox ID="FeedbackUrl" runat="server" Text='<%# Bind("Blog") %>' CssClass="FormTextBox" />
            </div>
            <div class="FormBody">
                <span class="FormLabel">Comments:</span>
                <span class="FormNotes">HTML will be ignored, URLs will be converted to hyperlinks</span>
                <asp:TextBox ID="FeedbackContents" runat="server" TextMode="MultiLine" Text='<%# Bind("EditContents") %>' />
                <asp:RequiredFieldValidator ID="ContentsValidator" runat="server" ControlToValidate="FeedbackContents" Text="Comments are required." CssClass="FormErrorMessage" />
            </div>
            <div class="FormField">
                <blog:Captcha ID="Captcha1" runat="server" />
            </div>
            <div class="FormButtonContainer">
                <asp:Button ID="SubmitButton" runat="server" CausesValidation="True" CommandName="Insert"
                    Text="Submit Feedback" />
            </div>
        </InsertItemTemplate>
    </asp:FormView>
    <div id="FormResult">
        <asp:Label ID="FeedbackReceivedLabel" runat="server" 
            Text="Thank you for your feedback. Your comments will be visible soon, after they have been approved." Visible="False" />
    </div>
    
    </div> 
    
    <asp:ObjectDataSource ID="PostDataSource" runat="server" EnableViewState="false" OldValuesParameterFormatString="original_{0}" SelectMethod="GetPostByID" TypeName="BlogStarterKit.BlogEngine">
        <SelectParameters>
            <asp:QueryStringParameter DefaultValue="" Name="postID" QueryStringField="postID"
                Type="Int64" />
            <asp:Parameter DefaultValue="true" Name="publishedOnly" Type="Boolean" />
        </SelectParameters>
    </asp:ObjectDataSource>
    
    <asp:ObjectDataSource ID="FeedbackDataSource" runat="server" EnableViewState="False" InsertMethod="SaveFeedback"
        OldValuesParameterFormatString="original_{0}" SelectMethod="GetApprovedFeedbackByPost"
        TypeName="BlogStarterKit.BlogEngine" OnInserted="FeedbackDataSource_Inserted" DataObjectTypeName="BlogStarterKit.Feedback" OnInserting="FeedbackDataSource_Inserting">
        <SelectParameters>
            <asp:QueryStringParameter Name="postID" QueryStringField="postID" Type="Int64" />
        </SelectParameters>
    </asp:ObjectDataSource>
    
</asp:Content>

