<%@ Control Language="C#" AutoEventWireup="true" CodeFile="Sidebar.ascx.cs" Inherits="BlogStarterKit.SidebarControl" %>
<%@ OutputCache Duration="5" Shared="true" VaryByParam="None" %>

<div class="RssButton">
    <a class="FeedLink" href="Services/Rss.aspx">RSS</a>
    <a class="FeedLink" href="Services/Atom.aspx">ATOM</a>
</div>

<h3>Posts By Category</h3>
<div class="LinkList">
    <asp:DataList ID="ByCategory" runat="server" DataSourceID="CategoriesDataSource" DataKeyField="CategoryID" RepeatLayout="Flow">
        <ItemTemplate>
            <asp:HyperLink ID="Link" runat="server" NavigateUrl='<%# Eval("CategoryID", "Default.aspx?categoryID={0}") %>' Text='<%# Eval("Name") %>' />
        </ItemTemplate>
    </asp:DataList>
    <asp:ObjectDataSource ID="CategoriesDataSource" runat="server" OldValuesParameterFormatString="original_{0}"
        SelectMethod="GetAllCategories" TypeName="BlogStarterKit.BlogEngine">
    </asp:ObjectDataSource>
</div>

<h3>Posts By Date</h3>
<div class="LinkList">
    <asp:DataList ID="ByDate" runat="server" RepeatLayout="Flow" DataSourceID="PostsDataSource">
        <ItemTemplate>
            <asp:HyperLink ID="Link" runat="server" NavigateUrl='<%# Eval("Month", "Default.aspx?m={0:%M}&y={0:yyyy}") %>'><%# Eval("Month", "{0:MMMM yyyy}") %> (<%# Eval("PostCount") %>)</asp:HyperLink>
        </ItemTemplate>
    </asp:DataList>
    <asp:ObjectDataSource ID="PostsDataSource" runat="server" OldValuesParameterFormatString="original_{0}" SelectMethod="GetPostCountByMonth" TypeName="BlogStarterKit.BlogEngine">
        <SelectParameters>
            <asp:Parameter DefaultValue="20" Name="months" Type="Int32" />
        </SelectParameters>
    </asp:ObjectDataSource>
</div>
